BuildRequires: /proc
BuildRequires: jpackage-compat
%global artifactId javax.inject

Name:           atinject
Version:        1
Release:        alt1_2.20100611svn86jpp6
Epoch:          0
Summary:        Dependency injection specification for Java (JSR-330)

Group:          Development/Java
License:        ASL 2.0
URL:            http://code.google.com/p/atinject/
# latest release doesn't generate javadocs and there is no source
# tarball with pom.xml or ant build file
#
# svn export -r86 http://atinject.googlecode.com/svn/trunk atinject-1
# tar cjf atinject-1.tar.bz2 atinject-1
Source0:        %{name}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires: apache-commons-parent
BuildRequires: maven2
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-surefire-plugin
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-release
BuildRequires: maven2-plugin-compiler


Requires: jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Source44: import.info

%description
This package specifies a means for obtaining objects in such a way as
to maximize reusability, testability and maintainability compared to
traditional approaches such as constructors, factories, and service
locators (e.g., JNDI). This process, known as dependency injection, is
beneficial to most nontrivial applications.

%package        javadoc
Summary:        API documentation for %{name}
Group:          Development/Java
Requires: jpackage-utils
BuildArch: noarch

%description    javadoc
%{summary}.


%prep
%setup -q

rm -rf lib/

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-jpp -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5  \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:javadoc

%install

install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms

%add_to_maven_depmap %{artifactId} %{artifactId} %{version} JPP %{name}

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -pm 644 pom.xml \
    %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

# jar files
install -pm 644 target/%{artifactId}-*.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

# symlinks
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)


# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}


%files
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%{_javadir}*/*.jar

%files javadoc
%{_javadocdir}/%{name}*

%changelog
* Sat Jan 29 2011 Igor Vlasenko <viy@altlinux.ru> 0:1-alt1_2.20100611svn86jpp6
- fixed build

